import { IonicModule } from '@ionic/angular';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { SessionPage } from './session.page';

import { SessionPageRoutingModule } from './session-routing.module';
import { UserNamePipe } from '../user-name.pipe';

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    SessionPageRoutingModule,
    UserNamePipe,
  ],
  declarations: [SessionPage]
})
export class SessionPageModule {}
